nis_cachemgr(8)

NAME
nis_cachemgr - NIS+ utility to maintain shared cache file

SYNOPSIS
nis_cachemgr [ -i ] [ -n ] [ -d ]

DESCRIPTION
The nis_cachemgr daemon maintains normally a cache of the NIS+ directory objects. This version only maintains the time to live (ttl) field of the /var/nis/NIS_COLD_START file, which gives a hint on how long the directory object could be used. After this time, the nis_cachemgr will generate a new file. nis_cachemgr should run on all the machines that are using NIS+, but it is not required.

The nis_cachemgr program is normally started from a system startup script.

nisshowcache(8) can be used to show the ttl field.

OPTIONS

-i  nis_cachemgr ignores the previous cache file and reinitialize the cache from just the cold start file. By default, the nis_cachemgr
     initializes itself from both the cold start file and the old cache file.

-n  Run nis_cachemgr in an insecure mode. Since the cache functions are not implemented, this flag will be ignored.

-d  In this mode, the nis_cachemgr does not background itself and prints debug information, errors and warnings to stderr.

FILES

/var/nis/NIS_SHARED_DIRCACHE
    the shared cache file

/var/nis/NIS_COLD_START
    the coldstart file

SEE ALSO
keylogin(1), nisaddcred(8), nisinit(8), nisshowcache(8)

AUTHOR
This version of the nis_cachemgr command was written by Thorsten Kukuk <kukuk@suse.de>.